## magics-python 1.5.5

=== tests/requirements.txt ===
pytest
xarray
scipy
cftime

## magics-python 1.0.1

=== debian/changelog ===
magics-python (1:1.0.1-2) unstable; urgency=medium

  * Add Build-Dependency on python3-pytest-runner

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Aug 2019 09:51:05 +0100

magics-python (1:1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #933780)
    Note the epoch number to enable upgrades from python3-magics in buster

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Aug 2019 10:18:19 +0100

=== debian/control ===
Source: magics-python
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  libeccodes-dev,
  python3-dev, 
  dh-python,
  python3-setuptools,
  python3-pytest-runner
Standards-Version: 4.4.0
Homepage: https://pypi.org/project/magics-python/
Vcs-Browser: https://salsa.debian.org:/science-team/eccodes-python.git
Vcs-Git: https://salsa.debian.org:/science-team/eccodes-python.git

Package: python3-magics++
Architecture: any
Depends:  libmagplus3v5 , ${misc:Depends}, 
 ${python3:Depends}, 
 python3-simplejson, 
 python3-jinja2
Description: Python3 support for Magics++
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package provides Python3 support for the magics++ library.

## magics-python 1.0.11

=== debian/changelog ===
magics-python (1:1.0.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 17:08:04 +0100

magics-python (1:1.0.1-3) unstable; urgency=medium

  * Correct VCS-* links to magics-python.git

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 09:13:28 +0100

## magics-python 1.1.1

=== debian/changelog ===
magics-python (1:1.1.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:35:15 +0000

magics-python (1:1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Dec 2019 10:12:33 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
   dh-python,
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1.0
 Homepage: https://pypi.org/project/magics-python/
-Vcs-Browser: https://salsa.debian.org:/science-team/eccodes-python.git
-Vcs-Git: https://salsa.debian.org:/science-team/eccodes-python.git
+Vcs-Browser: https://salsa.debian.org:/science-team/magics-python.git
+Vcs-Git: https://salsa.debian.org:/science-team/magics-python.git
 
 Package: python3-magics++
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=magics

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	@echo bypass test that requiresd pytest-flakes

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magics-python-$1\.tar\.gz/ \
  https://github.com/ecmwf/magics-python/tags .*/v?(\d\S+)\.tar\.gz

## magics-python 1.1.2

=== debian/changelog ===
magics-python (1:1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Use github.com rather than pypy as the homepage
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Mar 2020 08:55:57 +0000

## magics-python 1.5.5

=== debian/changelog ===
magics-python (2:1.5.5-1) unstable; urgency=medium

  * New upstream release. 
  * Switch epoch to individual rather than bundled versions, matching other
    ECMWF packages and practice (e.g match pip practice)
  * Fix d/watch to handle version numbers better

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:14:44 +0000

magics-python (1:2020.10.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Nov 2020 10:41:53 +0000

magics-python (1:2020.10.0-1) unstable; urgency=medium

  * New upstream release
  * Add d/gpb.conf pointing to DEP-14 branches
  * Point Vcs-Git to debian/latest in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Oct 2020 16:43:53 +0100

magics-python (1:2020.06.0-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper 13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jul 2020 10:34:48 +0100

magics-python (1:2020.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 May 2020 09:38:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
+  dh-sequence-python3,
   libeccodes-dev,
   python3-dev, 
-  dh-python,
   python3-setuptools,
   python3-pytest-runner
-Standards-Version: 4.4.1.0
-Homepage: https://pypi.org/project/magics-python/
+Standards-Version: 4.5.1
+Homepage: https://github.com/ecmwf/magics-python
 Vcs-Browser: https://salsa.debian.org:/science-team/magics-python.git
-Vcs-Git: https://salsa.debian.org:/science-team/magics-python.git
+Vcs-Git: https://salsa.debian.org:/science-team/magics-python.git -b debian/latest
 
 Package: python3-magics++
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # magic debhelper rule
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild 
 
 override_dh_auto_test:
 	@echo bypass test that requiresd pytest-flakes

## magics-python 1.5.6

=== debian/changelog ===
magics-python (2:1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Mar 2021 10:49:39 +0000

## magics-python 1.5.7

=== debian/changelog ===
magics-python (2:1.5.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Dec 2021 11:35:37 +0000

## magics-python 1.5.8

=== debian/changelog ===
magics-python (2:1.5.8-3) unstable; urgency=medium

  * Team upload.
  * Debian Science Maintainers as Maintainer
  * Apply patch from Steve Langasek to fix dependencies and architecture
    (Thanks for the patch Steve)
    Closes: #1069745
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use versioned copyright format URI.
  * watch file standard 4 (routine-update)
  * Add upstream metadata
  * Add missing continuation chars in d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2024 08:14:57 +0200

magics-python (2:1.5.8-2) UNRELEASED; urgency=medium

  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Jan 2023 09:36:34 +0000

magics-python (2:1.5.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Apr 2022 08:12:44 +0100

=== debian/control ===
Source: magics-python
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-setuptools,
               python3-pytest-runner
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/magics-python
Vcs-Git: https://salsa.debian.org/science-team/magics-python.git
Homepage: https://github.com/ecmwf/magics-python
Rules-Requires-Root: no

Package: python3-magics++
Architecture: all
Depends: python3-ecmwflibs,
         ${misc:Depends},
         ${python3:Depends},
         python3-simplejson,
         python3-jinja2
Description: Python3 support for Magics++
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package provides Python3 support for the magics++ library.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # magic debhelper rule
 %:
-	dh $@ --buildsystem=pybuild 
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	@echo bypass test that requiresd pytest-flakes

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magics-python-$1\.tar\.gz/ \
  https://github.com/ecmwf/magics-python/tags .*/v?(\d\d?\d?\..+).tar\.gz

## magics-python 2020.04.0

=== debian/control ===
Source: magics-python
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  dh-sequence-python3,
  libeccodes-dev,
  python3-dev, 
  python3-setuptools,
  python3-pytest-runner
Standards-Version: 4.5.0
Homepage: https://github.com/ecmwf/magics-python
Vcs-Browser: https://salsa.debian.org:/science-team/magics-python.git
Vcs-Git: https://salsa.debian.org:/science-team/magics-python.git

Package: python3-magics++
Architecture: any
Depends:  libmagplus3v5 , ${misc:Depends}, 
 ${python3:Depends}, 
 python3-simplejson, 
 python3-jinja2
Description: Python3 support for Magics++
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package provides Python3 support for the magics++ library.

## magics-python 2020.06.0

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
   dh-sequence-python3,
   libeccodes-dev,
   python3-dev,
